/**
* Klasse som inneholder kontrollpunkter for klrne p trne.
*/
public class FotKlo {

		/** Antall kontrollpunkter i hver retning */
      int un =5;      
      int vn =4;  
      float height = 0.6f;
      
      float contr1=0.3f;
      float contr2=0.2f;
      float contr3=0.1f;
      
      float contrz1=0.0f;   
      float contrz2=0.4f;
      float contrz3=height;
      
      float rf=1.35f;
		
		/** En array med kontrollpunkter for bezierflaten, den ene siden av kloa */	
      float liste[] =  {
         
 
         contr1,  0.0f, 0.0f,
         contr1,  contr1, 0.0f,
         0.0f,  rf*contr1, 0.0f,
         -contr1, contr1, 0.0f,
         -contr1, 0.0f, 0.0f 

         ,
         contr2,  0.0f, contrz2,
         contr2,  contr2, contrz2,
         0.0f,  rf*contr2,contrz2,
         -contr2, contr2, contrz2,
         -contr2, 0.0f, contrz2 
         
         ,
         contr3,  0.0f, contrz3,
         contr3,  contr3, contrz3,
         0.0f,  rf*contr3,contrz3,
         -contr3, contr3, contrz3,
         -contr3, 0.0f, contrz3 
          
         ,
         
         0.0f,  0.0f, contrz3,
         0.0f,  0.0f, contrz3,
         0.0f,  0.0f, contrz3,
         0.0f,  0.0f, contrz3,
         0.0f,  0.0f, contrz3
        ,
 

      };
   
		/** En array med kontrollpunkter for bezierflaten, den andre siden av kloa */
      float listeInn[] =  {
         
 
         contr1,  0.0f, 0.0f,
         contr1,  contr1, 0.0f,
         0.0f,    rf*contr1, 0.0f,
         -contr1, contr1, 0.0f,
         -contr1, 0.0f, 0.0f 

         ,
         contr2,  0.0f, contrz2,
         contr2,  contr2, contrz2,
         0.0f,    0.1f,contrz2,
         -contr2, contr2, contrz2,
         -contr2, 0.0f, contrz2 
         
         ,
         contr3,  0.0f, contrz3,
         contr3,  contr3, contrz3,
         0.0f,    0.1f,contrz3,
         -contr3, contr3, contrz3,
         -contr3, 0.0f, contrz3 
          
         ,
         
         0.0f,  0.0f, contrz3,
         0.0f,  0.0f, contrz3,
         0.0f,  0.0f, contrz3,
         0.0f,  0.0f, contrz3,
         0.0f,  0.0f, contrz3
        ,
 

      };

   public float[] getListeInn() {
      return this.listeInn;
   }

   public float[] getListe() {
      return this.liste;
   }
   
   public int getUN() {
      return this.un;
   }
    
   public int getVN() {
      return this.vn;
   }

}

