/**
* Klasse som inneholder kontrollpunkter for hodet/kroppen.
*/
class Head {

	/** Antall kontrollpunkter i hver retning */
   private int un =5;      
   private int vn =9;    
   private float length = 10.0f;

   float ctr1=0.35f*length; 
   float ctr2=0.5f*length;    
   float ctr2b=0.35f*length;
   float ctr3=0.75f*length;    
   float ctr4=0.3f*length;    
   float ctr5=0.25f*length;     
   float ctr6=0.32f*length;   

   /** Hvor kontrollpunktet skal vre langs z */
   float ctz1=0.0f*length;
   float ctz2=0.25f*length; 
   float ctz2b=0.4f*length;
   float ctz3=0.57f*length; 
   float ctz4=0.65f*length; 
   float ctz5=0.77f*length; 
   float ctz6=1.0f*length; 
   float ctz7=length;
    
   float rf=1.35f;
   
   /** En array med kontrollpunkter for bezierflaten */
   float liste[] = {
         0.0f,  0.0f, 0.0f,
         0.0f,  0.0f, 0.0f,
         0.0f,  0.0f, 0.0f,
         0.0f,  0.0f, 0.0f,
         0.0f,  0.0f, 0.0f   
      ,
         ctr1,  0.0f, ctz1,
         ctr1,  ctr1, ctz1,
         0.0f,  rf*ctr1,ctz1,
         -ctr1, ctr1, ctz1,
         -ctr1, 0.0f, ctz1
      ,
         ctr2,  0.0f, ctz2,
         ctr2,  ctr2, ctz2,
         0.0f,  rf*ctr2,ctz2,
         -ctr2, ctr2, ctz2,
         -ctr2, 0.0f, ctz2 
      ,      
         ctr2b,  0.0f, ctz2b,
         ctr2b,  ctr2b, ctz2b,
         0.0f,  rf*ctr2b,ctz2b,
         -ctr2b, ctr2b, ctz2b,
         -ctr2b, 0.0f, ctz2b 
      ,          
         ctr3,  0.0f, ctz3,
         ctr3,  ctr3, ctz3,
         0.0f,  rf*ctr3,ctz3,
         -ctr3, ctr3, ctz3,
         -ctr3, 0.0f, ctz3 
      ,      
         ctr4,  0.0f, ctz4,
         ctr4,  ctr4, ctz4,
         0.0f,  rf*ctr4,ctz4,
         -ctr4, ctr4, ctz4,
         -ctr4, 0.0f, ctz4 
      ,       
         ctr5,  0.0f, ctz5,
         ctr5,  ctr5, ctz5,
         0.0f,  rf*ctr5,ctz5,
         -ctr5, ctr5, ctz5,
         -ctr5, 0.0f, ctz5 
      ,             
         ctr6,  0.0f, ctz6,
         ctr6,  ctr6, ctz6,
         0.0f,  rf*ctr6,ctz6,
         -ctr6, ctr6, ctz6,
         -ctr6, 0.0f, ctz6 
      ,       
         0.0f,  0.0f, ctz7,
         0.0f,  0.0f, ctz7,
         0.0f,  0.0f, ctz7,
         0.0f,  0.0f, ctz7,
         0.0f,  0.0f, ctz7 
    
     
   };
    
   public float[] getListe() {
      return this.liste;
   }
   
   public int getUN() {
      return this.un;
   }
    
   public int getVN() {
      return this.vn;
   }
 
}

