/**
* Klasse som inneholder kontrollpunkter for klrne
*/
public class Leggen {

	/** Antall kontrollpunkter i hver retning */
   int un =5;      
   int vn =4;  
   
   float contr1=0.25f;   
   float contr2=0.35f;
   float contr3=0.4f;
   float contr4=0.25f;
   
   float contrz1=0.0f;   
   float contrz2=1.5f;
   float contrz3=2.5f;
   float contrz4=3.0f;
   
   float rf=1.35f;

	/** En array med kontrollpunkter for bezierflaten, leggen */  
   float listeLeggen[] =  {       

      contr1,  0.0f, 0.0f,
      contr1,  contr1, 0.0f,
      0.0f,  rf*contr1, 0.0f,
      -contr1, contr1, 0.0f,
      -contr1, 0.0f, 0.0f 
      ,
      contr2,  0.0f, contrz2,
      contr2,  contr2, contrz2,
      0.0f,  rf*contr2,contrz2,
      -contr2, contr2, contrz2,
      -contr2, 0.0f, contrz2         
      ,
      contr3,  0.0f, contrz3,
      contr3,  contr3, contrz3,
      0.0f,  rf*contr3,contrz3,
      -contr3, contr3, contrz3,
      -contr3, 0.0f, contrz3          
      ,
      contr4,  0.0f, contrz4,
      contr4,  contr4, contrz4,
      0.0f,  rf*contr4,contrz4,
      -contr4, contr4, contrz4,
      -contr4, 0.0f, contrz4, 
	};

	/** Antall kontrollpunkter i hver retning */
   int unFot = 4;
   int vnFot = 3;
   
   float fx1 = -0.25f;
	float fx2 = 0.25f;
	float fx3 = -0.3f;
	float fx4 = 0.3f;
	float fx5 = -0.25f;
	float fx6 = 0.25f;
	
	float fz1 = 0.4f;
	float fz2 = 0.0f;
	float fz3 = 0.7f;
	
	float fy1 = 0.0f;
	float fy2 = 1.0f;
	float fy3 = 2.0f;

	/** En array med kontrollpunkter for bezierflaten, foten */  
   float fot[] = {

           fx1,fy1,fz2, fx1,fy1,fz1,
           fx2,fy1,fz1, fx2,fy1,fz2
           ,

           fx3,fy2,fz2, fx3,fy2,fz1,
           fx4,fy2,fz1,  fx4,fy2,fz2
           ,

           fx5,fy3,fz2, fx5,fy3,fz3,
           fx6,fy3,fz3, fx6,fy3,fz2
   };   

   public float[] getFot() {
        return fot;
   }


   public float[] getListeLeggen() {
      return this.listeLeggen;
   }
   
   public int getUN() {
      return this.un;
   }
    
   public int getVN() {
      return this.vn;
   }

   public int getUNfot() {
      return this.unFot;
   }
    
   public int getVNfot() {
      return this.vnFot;
   }

}


