import gl4java.awt.GLCanvas;
import gl4java.utils.glut.*;
import gl4java.*;

/**
* I denne klassen lager jeg farger som jeg har hatt bruk for.
*/
public class MyColor extends GLCanvas {

    GLUTFunc glut = null;

    public MyColor(int width, int height) {
      super(width, height);
    }

    public void init() {
      glut = new GLUTFuncLightImpl(gl, glu);
    }

	 /** Grnn */	
    public void green() {

      float amb[]={0.0f,1.0f,0.0f,1.0f};
      float diff[]={0.0f,1.0f,0.0f,1.0f};
      float spec[]={0.0f,1.0f,0.0f,1.0f};
      float shine=66f;
      gl.glMaterialfv(GL_FRONT,GL_AMBIENT,amb);
      gl.glMaterialfv(GL_FRONT,GL_DIFFUSE,diff);
      gl.glMaterialfv(GL_FRONT,GL_SPECULAR,spec);
      gl.glMaterialf(GL_FRONT,GL_SHININESS,shine*128.0f);
    }

	 /** Rd */		
    public void red() {

      float amb[]={0.7f,0.3f,0.0215f,1.0f};
      float diff[]={0.58f,0.25f,0.34f,1.0f};
      float spec[]={0.31f,0.727811f,0.633f,1.0f};
      float shine=76.8f;
      gl.glMaterialfv(GL_FRONT_AND_BACK,GL_AMBIENT,amb);
      gl.glMaterialfv(GL_FRONT_AND_BACK,GL_DIFFUSE,diff);
      gl.glMaterialfv(GL_FRONT_AND_BACK,GL_SPECULAR,spec);
      gl.glMaterialf(GL_FRONT_AND_BACK,GL_SHININESS,shine);

    }
	 /** Bl */	
    public void blue() {

      float amb[]={0.19f,0.41f,0.68f,1.0f};
      float diff[]={0.22f,0.2f,0.2f,1.0f};
      float spec[]={0.23f,0.28f,0.29f,1.0f};
      float shine=76.8f;
      gl.glMaterialfv(GL_FRONT_AND_BACK,GL_AMBIENT,amb);
      gl.glMaterialfv(GL_FRONT_AND_BACK,GL_DIFFUSE,diff);
      gl.glMaterialfv(GL_FRONT_AND_BACK,GL_SPECULAR,spec);
      gl.glMaterialf(GL_FRONT_AND_BACK,GL_SHININESS,shine);

   }
   /** Monstergrnn */	
   public void monsterGreen() {

      float amb[]={0.62f,0.27f,0.27f,1.0f};
      float diff[]={0.18f,0.74f,0.11f,1.0f};
      float spec[]={0.7f,0.31f,0.32f,1.0f};
      float shine=70f;
      gl.glMaterialfv(GL_FRONT_AND_BACK,GL_AMBIENT,amb);
      gl.glMaterialfv(GL_FRONT_AND_BACK,GL_DIFFUSE,diff);
      gl.glMaterialfv(GL_FRONT_AND_BACK,GL_SPECULAR,spec);
      gl.glMaterialf(GL_FRONT_AND_BACK,GL_SHININESS,shine);

   }
	/** Gusjehvit */	 	
   public void whiteBrown() {
	
		float amb[]={0.75f,0.37f,0.15f,1.0f};
		float diff[]={1.0f,1.0f,1.0f,1.0f};
		float spec[]={0.88f,0.75f,0.91f,1.0f};
		float shine=128f;
		gl.glMaterialfv(GL_FRONT_AND_BACK,GL_AMBIENT,amb);
		gl.glMaterialfv(GL_FRONT_AND_BACK,GL_DIFFUSE,diff);
		gl.glMaterialfv(GL_FRONT_AND_BACK,GL_SPECULAR,spec);
		gl.glMaterialf(GL_FRONT_AND_BACK,GL_SHININESS,shine);

	}

	/** "Hvit" */	
	public void whiteTeeth() {
		
		float amb[]={1.0f,0.86f,0.61f,1.0f};
		float diff[]={1.0f,0.76f,0.94f,1.0f};
		float spec[]={0.16f,0.28f,0.42f,1.0f};
		float shine=128f;
		gl.glMaterialfv(GL_FRONT_AND_BACK,GL_AMBIENT,amb);
		gl.glMaterialfv(GL_FRONT_AND_BACK,GL_DIFFUSE,diff);
		gl.glMaterialfv(GL_FRONT_AND_BACK,GL_SPECULAR,spec);
		gl.glMaterialf(GL_FRONT_AND_BACK,GL_SHININESS,shine);

	}
	
	/** Sort */	
	public void black() {
		float amb[]={0.0f,0.0f,0.0f,1.0f};
		float diff[]={0.0f,0.0f,0.0f,1.0f};
		float spec[]={0.0f,0.0f,0.0f,1.0f};
		float shine=6f;
		gl.glMaterialfv(GL_FRONT_AND_BACK,GL_AMBIENT,amb);
		gl.glMaterialfv(GL_FRONT_AND_BACK,GL_DIFFUSE,diff);
		gl.glMaterialfv(GL_FRONT_AND_BACK,GL_SPECULAR,spec);
		gl.glMaterialf(GL_FRONT_AND_BACK,GL_SHININESS,shine);
	}
	
	/** Sort med litt brunt i */	
	public void blackBrown() {
		
		float amb[]={0.11f,0.02f,0.0f,1.0f};
		float diff[]={0.25f,0.24f,0.0f,1.0f};
		float spec[]={0.0f,0.0f,0.0f,1.0f};
		float shine=128f;
		gl.glMaterialfv(GL_FRONT_AND_BACK,GL_AMBIENT,amb);
		gl.glMaterialfv(GL_FRONT_AND_BACK,GL_DIFFUSE,diff);
		gl.glMaterialfv(GL_FRONT_AND_BACK,GL_SPECULAR,spec);
		gl.glMaterialf(GL_FRONT_AND_BACK,GL_SHININESS,shine);
	}

}

