/**
* Klasse som inneholder kontrollpunkter for underarmene
*/
public class UnderArm {

	/** Antall kontrollpunkter i hver retning */
   int un =5;      
   int vn =4;
     
   float height = 3.0f;
   
   float contr1=0.15f; 
   float contr2=0.4f;
   float contr3=0.35f;
   float contr4=0.25f;
   
   float contrz1=0.0f;   
   float contrz2=1.5f;
   float contrz3=2.5f;
   float contrz4=height;
   
   float rf=1.35f;

	/** En array med kontrollpunkter for bezierflaten */
   float liste[] =  { 
   	     
      contr1,  0.0f, 0.0f,
      contr1,  contr1, 0.0f,
      0.0f,  rf*contr1, 0.0f,
      -contr1, contr1, 0.0f,
      -contr1, 0.0f, 0.0f
      ,
      contr2,  0.0f, contrz2,
      contr2,  contr2, contrz2,
      0.0f,  rf*contr2,contrz2,
      -contr2, contr2, contrz2,
      -contr2, 0.0f, contrz2       
      ,
      contr3,  0.0f, contrz3,
      contr3,  contr3, contrz3,
      0.0f,  rf*contr3,contrz3,
      -contr3, contr3, contrz3,
      -contr3, 0.0f, contrz3        
      ,
      contr4,  0.0f, contrz4,
      contr4,  contr4, contrz4,
      0.0f,  rf*contr4,contrz4,
      -contr4, contr4, contrz4,
      -contr4, 0.0f, contrz4,
   };

   public float[] getListe() {
      return this.liste;
   }
   
   public int getUN() {
      return this.un;
   }
    
   public int getVN() {
      return this.vn;
   }

}

