/**
* Klasse som inneholder kontrollpunkter for hndflaten og fingrene
*/
public class Hand {

	/** Antall kontrollpunkter i hver retning */
   int un = 4;
   int vn = 4;
   int vnFinger = 3;
   
   float z1 = -0.3f;
   float z2 = 0.0f;
   float z3 = 0.5f;
   float z4 = 0.7f;
   
   float y0 = 0.0f;
   float y1 = -0.5f;
   float y2 = 0.5f;
 
   /** En array med kontrollpunkter for bezierflaten, ene siden av hndflaten */     
   float liste [] = {
            -0.55f, y1, z1, -0.5f, y1, z1,
            0.0f, y1, z1, 0.5f,y1, z1,
            
            -0.45f, y1, z2, -0.4f, y0, z2,
            0.4f, y0,z2, 1.0f, y1, z2,
            
            -0.4f, y1, z3, -0.25f, y0, z3, 
            0.25f, y0, z3, 0.5f, y1, z3,
            
            -0.25f, y1, z4, 0.0f,y1, z4,
            0.25f, y1, z4, 0.3f, y1, z4,
   };
	
	/** En array med kontrollpunkter for bezierflaten, andre siden av hndflaten */
   float listeAndre [] = {
            -0.55f, y2, z1, -0.5f, y2, z1,
            0.0f, y2, z1, 0.5f,y2, z1,
            
            -0.45f, y2, z2, -0.4f, y0, z2,
            0.4f, y0,z2, 1.0f, y2, z2,
            
            -0.4f, y2, z3, -0.25f, y0, z3, 
            0.25f, y0, z3, 0.5f, y2, z3,
            
            -0.25f, y2, z4, 0.0f,y2, z4,
            0.25f, y2, z4, 0.3f,y2, z4,
   };
   
	
	float fx1 = -0.15f;
	float fx2 = 0.15f;
	float fx3 = -0.1f;
	float fx4 = 0.1f;
	float fx5 = -0.1f;
	float fx6 = 0.1f;
	
	float fz1 = -0.2f;
	float fz2 = 0.0f;
	
	float fy1 = 0.0f;
	float fy2 = 0.5f;
	float fy3 = 1.0f;
	
	/** En array med kontrollpunkter for bezierflaten, finger */	
   float finger[] = {

           fx1,fy1,fz2, fx1,fy1,fz1,
           fx2,fy1,fz1, fx2,fy1,fz2
           ,

           fx3,fy2,fz2, fx3,fy2,fz1,
           fx4,fy2,fz1,  fx4,fy2,fz2
           ,

           fx5,fy3,fz2, fx5,fy3,fz1,
           fx6,fy3,fz1, fx6,fy3,fz2
   };   

   public float[] getFinger() {
        return finger;
   }


   public float[] getListe() {
        return liste;
   }

   public float[] getListeAndre() {
        return listeAndre;
   }

   public int getUN() {
        return un;
   }

   public int getVN() {
        return vn;
   }
   
   public int getVNfinger() {
        return vnFinger;
   }
   
}
