/**
* Klasse som inneholder kontrollpunkter for munnen, tennene og leppa
*/
public class Munn {

	/** Antall kontrollpunkter i hver retning */
	int un = 4;
  	int vn = 4;

	float x1 = -1.0f;
	float x2 = 1.0f;
	float x3 = -0.75f;
	float x4 = 0.75f;
	
	float z1 = 0.0f;
	float z2 = 0.5f;
	
	/** 
	* En array med kontrollpunkter for bezierflaten,
	* den mreke flaten som utgir deg for
	*  vre en pen munn 
	*/  
  	float liste[] = { 

		x1,0.3f,-0.45f, x3,0.15f,-0.65f, 
   	x4,0.15f,-0.65f, x2,0.3f,-0.45f
 		,
 		-2.0f,0.15f,z1, x3,0.0f,z1, 
   	x4,0.0f,z1, 2.0f,0.15f,z1
 		, 
      -1.5f,0.0f,z2, x3,-0.5f,z2, 
  		x4,-0.5f,z2, 1.5f,0.0f,z2
 		, 
 		x1,0.0f,1.0f, x3,0.0f,1.3f, 
  		x4,0.0f,1.3f, x2,0.0f,1.0f,
  	};

	float x1t = -0.2f;
	float x2t = 0.2f;
	float x3t = -0.15f;
	float x4t = 0.15f;
	
	float z1t = 0.0f;
	float z2t = 0.2f;
	
	/** En array med kontrollpunkter for bezierflaten, tennene */  
	float listeTann[] = {
		
		-0.45f,0.2f,-0.2f, x3t,0.2f,-0.25f, 
		x4t,0.2f,-0.25f, 0.45f,0.2f,-0.2f
	,
		-0.35f,0.0f,z1t, x3t,0.0f,z1t, 
		x4t,0.0f,z1t, 0.35f,0.0f,z1t
	, 
      -0.3f,0.0f,z2t, x3t,0.0f,z2t, 
		x4t,0.0f,z2t, 0.3f,0.0f,z2t
	, 
		x1t,0.0f,0.18f, x3t,0.0f,0.25f, 
		x4t,0.0f,0.25f, x2t,0.0f,0.18f,
	};

	/** Antall kontrollpunkter i z retningen for leppa*/
	int vnLeppe = 2;
	
	/** En array med kontrollpunkter for bezierflaten, leppa */  
	float leppe[] = {
   		
       -1.3f,0.15f,-0.3f, -0.3f,0.1f,-0.6f, 
	    0.3f,0.1f,-0.6f, 1.3f,0.15f,-0.3f
	    ,
	    -1.6f,0.0f,0.4f, -0.9f,0.0f,-0.3f, 
	    0.9f,0.0f,-0.3f, 1.65f,0.0f,0.5f,
	};

   public float[] getLeppe() {
      return this.leppe;
   }

   public float[] getListe() {
      return this.liste;
   }

   public float[] getListeTann() {
      return this.listeTann;
   }

   public int getVNleppe() {
      return this.vnLeppe;
   }
   
   public int getUN() {
      return this.un;
   }
    
   public int getVN() {
      return this.vn;
   }

}

